%global momorel 4

Name:           perl-Cache-Memcached
Version:        1.29
Release:        %{momorel}m%{?dist}
Summary:        Client library for memcached (memory cache daemon)
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Cache-Memcached/
Source0:        http://www.cpan.org/authors/id/D/DO/DORMANDO/Cache-Memcached-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-String-CRC32 >= 1.4
BuildRequires:	memcached
Requires:       perl-String-CRC32 >= 1.4
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This is the Perl API for memcached, a distributed memory cache daemon. More
information is available at:

%prep
%setup -q -n Cache-Memcached-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
# start memchachd if stopped
if test -e /var/lock/subsys/memcached
then
    state=1
else
    state=0
    sudo %{_initscriptdir}/memcached start
fi

make test

# stop memcached if started for test
if [ ${state} -eq 0 ]
then
    sudo %{_initscriptdir}/memcached stop
fi
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README TODO
%{perl_vendorlib}/Cache/Memcached*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.29-4m)
- full rebuild for mo7 release

* Thu Aug 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.28-3m)
- control test by specopt

* Thu Aug 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.29-2m)
- temporary disable test...

* Fri Jun 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.29-1m)
- update to 1.29

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.28-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.28-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.28-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.28-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.28-1m)
- update to 1.28

* Wed Sep 23 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-1m)
- update to 1.27

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-3m)
- rebuild against perl-5.10.1

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-2m)
- disable test

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-1m)
- update to 1.26

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.24-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.24-2m)
- rebuild against gcc43

* Thu Oct 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.24-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
